pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/43865: recent ruby upgrade broke some things (ruby-postgresql specifically)

>Number:         43865
>Category:       pkg
>Synopsis:       recent ruby upgrade broke some things (ruby-postgresql 
>Confidential:   no
>Severity:       critical
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Fri Sep 10 20:25:00 +0000 2010
>Originator:     Michael Graff
>Release:        5.1-RC mumble
===> Installing dependencies for ruby18-postgresql-
The following variables will affect the build process of this package,
ruby18-postgresql-  Their current value is shown below:

        * BDB185_DEFAULT = db1
        * BDB_DEFAULT = db4
        * SSLBASE = /usr
        * SSLCERTS = /etc/openssl/certs
        * SSLDIR = /etc/openssl
        * SSLKEYS = /etc/openssl/private

Based on these variables, the following variables have been set:

        * BDBBASE = /usr
        * BDB_LIBS (defined, but empty)
        * BDB_TYPE = db1

You may want to abort the process now with CTRL-C and change their value
before continuing.  Be sure to run `/usr/bin/make clean' after
the changes.
=> Build dependency ruby18-rubygems>=1.1.0: found ruby18-rubygems-1.3.5nb3
=> Full dependency ruby18-rubygems>=1.0.1: found ruby18-rubygems-1.3.5nb3
=> Full dependency ruby18-base>=1.8.7: found ruby18-base-
=> Full dependency postgresql84-client>=8.4.2nb1: found 
===> Overriding tools for ruby18-postgresql-
===> Extracting for ruby18-postgresql-
Unpacked gem: 
===> Patching for ruby18-postgresql-
=> Applying pkgsrc patches for ruby18-postgresql-
===> Creating toolchain wrappers for ruby18-postgresql-
===> Configuring for ruby18-postgresql-
chmod -R g-w 
===> Building for ruby18-postgresql-
=> Removing backup files of patch before build 
ERROR:  While executing gem ... (NameError)
    uninitialized constant Gem::Specification::YAML
*** Error code 1

make: stopped in /local/netbsd-src/pkgsrc/databases/ruby-postgresql
*** Error code 1

make: stopped in /usr/pkgsrc/databases/ruby-postgresql
*** Error code 1
compile ruby-postgresql

Home | Main Index | Thread Index | Old Index